From 3a3914ef364f2dab10314d59f75239be6ae44c27 Mon Sep 17 00:00:00 2001
From: "Jason A. Donenfeld" <Jason@zx2c4.com>
Date: Thu, 13 Sep 2012 16:37:19 +0200
Subject: [PATCH] Use --force flag.

---
 keepassx2pass.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/keepassx2pass.py b/keepassx2pass.py
index 86e2f11..fe7d2d6 100755
--- a/keepassx2pass.py
+++ b/keepassx2pass.py
@@ -13,7 +13,7 @@ def path_for(element, path=''):
 def import_entry(element, path=''):
     """ Import new password entry to password-store using pass insert
     command """
-    proc = Popen(['pass', 'insert', path_for(element, path)],
+    proc = Popen(['pass', 'insert', '--force', path_for(element, path)],
               stdin=PIPE, stdout=PIPE)
     proc.communicate(element.find('password').text + "\n")
     proc.wait()
-- 
1.7.12

